[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPDataHashTable.Add

Add a data pointer to the list.

## Declaration

Source position: contnrs.pp line 433

`public procedure TFPDataHashTable.Add(`
`const aKey: string;`
`AItem: pointer`
`); virtual;`

## Arguments

`aKey` |  | Key to insert in the hash table
`AItem` |  | Data pointer associated with AKey.

## Description

Add adds a data pointer (AItem) to the list with key AKey.

## Errors

If AKey already exists in the table, an exception is raised.

## See also

TFPDataHashTable.Items |  | Key-based access to the items in the table